## thc-ipv6 2.5

=== Makefile ===
# Comment out if openssl-dev is not present
HAVE_SSL=yes

CC=gcc
#CFLAGS=-g
CFLAGS=-O2
CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 fuzz_dhcps6 flood_rs6
LIBS=thc-ipv6-lib.o
STRIP=echo

PREFIX=/usr/local
MANPREFIX=${PREFIX}/share/man

all:	$(LIBS) $(PROGRAMS) dnssecwalk dnsdict6 thcping6

dnssecwalk:	dnssecwalk.c
	$(CC) $(CFLAGS) -o $@ $^

dnsdict6:	dnsdict6.c
	$(CC) $(CFLAGS) -o $@ $^ -lpthread -lresolv

thcping6:	thcping6.c $(LIBS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -lrt

%:	%.c $(LIBS)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) 

strip:	all
	$(STRIP) $(PROGRAMS) dnssecwalk dnsdict6 thcping6

install: all strip
	install -m0755 -d ${DESTDIR}${PREFIX}/bin
	install -m0755 $(PROGRAMS) dnsdict6 thcping6 dnssecwalk *.sh ${DESTDIR}${PREFIX}/bin
	install -m0755 -d ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D thc-ipv6.8 ${DESTDIR}${MANPREFIX}/man8

clean:
	rm -f $(PROGRAMS) dnsdict6 thcping6 dnssecwalk $(LIBS) core DEADJOE *~

backup:	clean
	tar czvf ../thc-ipv6-bak.tar.gz *
	sync

.PHONY: all install clean

=== debian/changelog ===
thc-ipv6 (2.5-3) unstable; urgency=medium

  * Improve Description
  * Add Vcs-Browser url
  * Upstream requires linux 2.6, change arch to linux-any
  * Override description-synopsis-starts-with-article lintian tag
  * ITP closing indication was inside an unreleased version an wasn't picked
    up (closes: #690520).

 -- Maykel Moya <mmoya@mmoya.org>  Wed, 22 Jan 2014 13:05:51 +0100

thc-ipv6 (2.5-2) unstable; urgency=low

  * Override spelling-error-in-binary lintian tag
  * Refresh patch to fix "don't" spelling
  * Bump Standards-Version to 3.9.5

 -- Maykel Moya <mmoya@mmoya.org>  Mon, 20 Jan 2014 14:28:06 +0100

thc-ipv6 (2.5-1) UNRELEASED; urgency=low

  * Imported Upstream version 2.5
  * Upstream license was changed to AGPL-3.0
  * Make .links file match actual binary package name
  * Update manpage soft links target
  * Keep links to manpage sorted
  * Add manpage links for new tools
  * Override lintian warning manpage-has-bad-whatis-entry
  * Patches refreshed

 -- Maykel Moya <mmoya@mmoya.org>  Mon, 20 Jan 2014 13:26:16 +0100

thc-ipv6 (2.3-1) UNRELEASED; urgency=low

  [ Maykel Moya ]

  * Bump compat level to 9
    + No need to explicit include buildflags.mk for hardening
  * Bump Stardard Version to 3.9.4
  * Imported Upstream version 2.3
  * Add dependency on libssl-dev
  * Add links to manpage for new commands
  * Update .gitignore
  * Refresh d/patches
  * Move Homepage field to Source paragraph
  * Fix watch file
  * Fix capitalization of Linux in Description
  * Fix minus signs in manpage
  * Add patch for fixing spelling errors in binaries

  [ Arturo Borrero Gonzalez ]

  * Main binary package is renamed to thc-ipv6.
  * The description is updated to explicitly refer to 'attack toolkit'.
  * Fixed the date in the '2.1-0.1' changelog entry (from +0001 to +0100).
  * Changed all previous changelog entries from 'unstable' to 'UNRELEASED'.

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 20 Aug 2013 10:01:47 +0100

thc-ipv6 (2.1-0.2) UNRELEASED; urgency=low

  * Added prefix 'atk6' to all binaries (NMU).

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 8 Apr 2013 14:54:55 +0100

thc-ipv6 (2.1-0.1) UNRELEASED; urgency=low

  * New upstream release (NMU).

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 1 Apr 2013 16:16:55 +0100

thc-ipv6 (2.0-1) UNRELEASED; urgency=low

  * New upstream release (closes: #690520).
  * Move to 3.0 (quilt) format.
  * Bump compat level to 7.
  * Bumb Standard Version to 3.9.3.
  * Adjusted the Makefile to fix prefix path.
  * Adjusted the Makefile to remove language extension from scripts.
  * Fix dos_mld syntax check.
  * Build with hardening options.
  * Disable linking against OpenSSL because a link exemption is not
    yet available.

 -- Maykel Moya <mmoya@mmoya.org>  Mon, 22 Oct 2012 13:29:16 +0000

thc-ipv6 (1.4-1) UNRELEASED; urgency=low

  * [325b41d] New upstream version 1.4 [Closes: issue948]
    - [05322ea] adapt for added binaries
    - [533f8f1] add missing tools to thc-ipv6.8

  * General cleanups:
    - [7e0c7c3] Remove last patch and dpatch support
    - [f1068e8] don't ignore failures on clean
    - [304a85d] update to Standards-Version 3.9.1
    - [a6e3243] update manpage from upstream

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 14 Mar 2011 23:04:51 +0100

thc-ipv6 (0.7-5) UNRELEASED; urgency=low

  [ Michael Prokop ]
  * Add dpatch to Build-Depends, remove gcc

  [ Michael Gebetsroither ]
  * make debian/rules umask independent
  * build system fixes

 -- Michael Gebetsroither <gebi@grml.org>  Sun, 13 May 2007 22:17:25 +0200

thc-ipv6 (0.7-4) UNRELEASED; urgency=low

  * added copy of homepage for license clarification

 -- Michael Gebetsroither <gebi@grml.org>  Sat, 21 Apr 2007 17:38:26 +0200

thc-ipv6 (0.7-3) UNRELEASED; urgency=low

  * fix umask build problem

 -- Michael Gebetsroither <gebi@grml.org>  Fri, 20 Apr 2007 10:42:39 +0200

thc-ipv6 (0.7-2) UNRELEASED; urgency=low

  * Add libssl-dev to build-depends
  * Changed email to gebi@grml.org
  * compile all binaries with -fstack-protector-all

 -- Michael Gebetsroither <gebi@grml.org>  Thu,  8 Feb 2007 20:54:25 +0100

thc-ipv6 (0.7-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bumb Standard Version to 3.7.2 (no further changes).
  * Clean up debian/rules.
  * Add libpcap0.8-dev and gcc to build-depends.
  * Add myself to uploaders.

 -- Michael Prokop <mika@grml.org>  Wed, 29 Nov 2006 22:48:37 +0100

thc-ipv6 (0.6-2) UNRELEASED; urgency=low

  * Few package corrections
  * Added manpages for packages

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 28 Jun 2006 13:41:24 +0200

thc-ipv6 (0.6-1) UNRELEASED; urgency=low

  * Initial release

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 28 Jun 2006 12:07:38 +0200

=== debian/control ===
Source: thc-ipv6
Section: net
Priority: optional
Maintainer: Maykel Moya <mmoya@mmoya.org>
Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libpcap-dev, libssl-dev
Homepage: http://www.thc.org/thc-ipv6/
Standards-Version: 3.9.5
Vcs-Browser: https://github.com/mmoya/pkg-thc-ipv6

Package: thc-ipv6
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Hacker Choice's IPv6 Attack Toolkit
 Attack toolkit for testing IPv6 and ICMPv6 protocol weaknesses.
 .
 Some of the tools included:
 .
 alive6: an effective alive scanning.
 .
 denial6: try a collection of denial-of-service tests againsts a
 target.
 .
 detect-new-ip6: detect new ip6 devices which join the network.
 .
 dnsdict6: parallized dns ipv6 dictionary bruteforcer.
 .
 dos-new-ip6: detect new ip6 devices and tell them that their chosen
 IP collides on the network (DOS).
 .
 exploit6: test known ipv6 vulnerabilities against a target.
 .
 fake_mld6: announce yourself in a multicast group of your choice on
 the net.
 .
 fake_router6: announce yourself as a router on the network.
 .
 flood_advertise6: flood a target with random neighbor advertisements.
 .
 flood_router6: flood a target with random router advertisements.
 .
 implementation6: performs various implementation checks on ipv6.
 .
 parasite6: icmp neighbor solitication/advertisement spoofer.
 .
 redir6: redirect traffic to you intelligently (man-in-the-middle)
 with a clever icmp6 redirect spoofer.
 .
 rsmurf6: remote smurfer (known to work only against Linux at the
 moment).
 .
 thcping6: sends a hand crafted ping6 packet.
 .
 toobig6: mtu decreaser with the same intelligence as redir6.

=== debian/watch ===
version=3
http://www.thc.org/thc-ipv6 \
  http://www.thc.org/releases/thc-ipv6-([\d\.]+)\.tar.gz

## thc-ipv6 2.7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CFLAGS=-O2
 CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
 LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
-PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 fuzz_dhcps6 flood_rs6
+PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 fuzz_dhcps6 flood_rs6 fuzz_dhcpc6
 LIBS=thc-ipv6-lib.o
 STRIP=echo

=== debian/changelog ===
thc-ipv6 (2.7-1) unstable; urgency=medium

  * [4496b5b] d/control: add Vcs-Git entry
  * [feb4db4] d/control: bump standars to 3.9.6
  * [a2ed220] Imported Upstream version 2.7
  * [e43fd75] d/patches: drop Fix-spelling-errors.patch
  * [fc558de] d/copyright: include specific copyright notice for all files
  * [b4c4107] d/docs: include HOWTO-INJECT in the binary package
  * [bd91c04] d/control: Maintainer is now pkg-security
  * [544d739] d/control: update Vcs-Git and Vcs-Browser fields

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 27 Jun 2016 10:24:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: thc-ipv6
 Section: net
 Priority: optional
-Maintainer: Maykel Moya <mmoya@mmoya.org>
-Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: Maykel Moya <mmoya@mmoya.org>,
+	  Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libpcap-dev, libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 3.9.5
-Vcs-Browser: https://github.com/mmoya/pkg-thc-ipv6
+Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/thc-ipv6.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/thc-ipv6.git
 
 Package: thc-ipv6
 Architecture: linux-any

## thc-ipv6 3.0

=== Makefile ===
# Comment out if openssl-dev is not present
HAVE_SSL=yes

CC=gcc
#CFLAGS=-g
CFLAGS=-O2
CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
STATIC=
#-static
PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6
EXTRA=dnssecwalk dnsdict6 thcping6 fragrouter6 connsplit6
LIBS=thc-ipv6-lib.o
STRIP=strip

PREFIX=/usr/local
MANPREFIX=${PREFIX}/share/man

all:	$(LIBS) $(PROGRAMS) $(EXTRA)

dnssecwalk:	dnssecwalk.c
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^

dnsdict6:	dnsdict6.c
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ -lpthread -lresolv

thcping6:	thcping6.c $(LIBS)
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lrt

fragrouter6:	fragrouter6.c $(LIBS)
	-$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of fragrouter6 failed, you have to install libnetfilter-queue-dev for this!\n"

connsplit6:	connsplit6.c $(LIBS)
	-$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of connsplit6 failed, you have to install libnetfilter-queue-dev for this!\n"

%:	%.c $(LIBS)
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) 

strip:	all
	$(STRIP) $(PROGRAMS) $(EXTRA)

install: all strip
	install -m0755 -d ${DESTDIR}${PREFIX}/bin
	-install -m0755 $(PROGRAMS) $(EXTRA) grep6.pl *.sh ${DESTDIR}${PREFIX}/bin
	install -m0755 -d ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D thc-ipv6.8 ${DESTDIR}${MANPREFIX}/man8

clean:
	rm -f $(PROGRAMS) $(EXTRA) $(LIBS) core DEADJOE *~

backup:	clean
	tar czvf ../thc-ipv6-bak.tar.gz *
	sync

.PHONY: all install clean

=== debian/changelog ===
thc-ipv6 (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * Add myself as an uploader.
  * d/control: Fix description typo.
  * d/patches:
    - binary_typos.patch: New patch to address typos seen when narrowing
      lintian overrides, sent upstream.
    - Briefly-document-all-programs-in-manpage.patch: Remove patch in favor of
      typos.patch.
    - Fix-Makefile.patch: Refresh patch, rename it to makefile.patch and update
      to include missing CPPFLAGS.
    - manpage.patch: New patch to add manpage entry for fuzz_dhcpc6.
    - typos.patch: New patch from upstream to fix typos.
  * d/rules:
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all, in order to enable
      all hardening flags.
    - Remove comments.
  * debian/thc-ipv6.lintian-overrides: Remove manpage-has-bad-whatis-entry
    and updates spelling-error override to catch only atk6-dnsdict6.
  * debian/debian/thc-ipv6.links: Add entry for fuzz_dhcpc6.
  * wrap-and-sort -a.

  [ Arturo Borrero Gonzalez ]
  * d/control: use 'arturo@debian.org' address

 -- Samuel Henrique <samueloph@gmail.com>  Tue, 08 Nov 2016 23:17:21 -0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,21 @@
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Maykel Moya <mmoya@mmoya.org>,
-	  Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libpcap-dev, libssl-dev
+           Arturo Borrero Gonzalez <arturo@debian.org>,
+           Samuel Henrique <samueloph@gmail.com>
+Build-Depends: debhelper (>= 10),
+               dpkg-dev (>= 1.16.1~),
+               libpcap-dev,
+               libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/thc-ipv6.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/thc-ipv6.git
 
 Package: thc-ipv6
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: The Hacker Choice's IPv6 Attack Toolkit
  Attack toolkit for testing IPv6 and ICMPv6 protocol weaknesses.
  .
@@ -20,12 +25,12 @@
  .
  alive6: an effective alive scanning.
  .
- denial6: try a collection of denial-of-service tests againsts a
+ denial6: try a collection of denial-of-service tests against a
  target.
  .
  detect-new-ip6: detect new ip6 devices which join the network.
  .
- dnsdict6: parallized dns ipv6 dictionary bruteforcer.
+ dnsdict6: parallelized dns ipv6 dictionary bruteforcer.
  .
  dos-new-ip6: detect new ip6 devices and tell them that their chosen
  IP collides on the network (DOS).

## thc-ipv6 3.2+dfsg1

=== Makefile ===
# Comment out if openssl-dev is not present
HAVE_SSL=yes

CC=gcc
#CFLAGS=-g
CFLAGS=-Ofast -falign-functions -falign-jumps -falign-loops -falign-labels -freorder-blocks -freorder-blocks-and-partition
CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
STATIC=
#-static
PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6 toobigsniff6
EXTRA=dnssecwalk dnsdict6 thcping6 fragrouter6 connsplit6
LIBS=thc-ipv6-lib.o
STRIP=strip

PREFIX=/usr/local
MANPREFIX=${PREFIX}/share/man
MANPAGES=$(foreach p, $(PROGRAMS) $(EXTRA), $(p).8)

all:	$(LIBS) $(PROGRAMS) $(EXTRA) $(MANPAGES)

dnssecwalk:	dnssecwalk.c
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS)

dnsdict6:	dnsdict6.c
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lpthread -lresolv

thcping6:	thcping6.c $(LIBS)
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lrt

fragrouter6:	fragrouter6.c $(LIBS)
	-$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of fragrouter6 failed, you have to install libnetfilter-queue-dev for this!\n"

connsplit6:	connsplit6.c $(LIBS)
	-$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of connsplit6 failed, you have to install libnetfilter-queue-dev for this!\n"

%:	%.c $(LIBS)
	$(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) 

strip:	all
	-$(STRIP) $(PROGRAMS) $(EXTRA)

install: all strip
	install -m0755 -d ${DESTDIR}${PREFIX}/bin
	-install -m0755 $(PROGRAMS) $(EXTRA) grep6.pl *.sh ${DESTDIR}${PREFIX}/bin
	install -m0755 -d ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D thc-ipv6.8 ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D $(MANPAGES) ${DESTDIR}${MANPREFIX}/man8

clean:
	rm -f $(PROGRAMS) $(EXTRA) $(LIBS) core DEADJOE *~
	rm -f $(MANPAGES)

backup:	clean
	tar czvf ../thc-ipv6-bak.tar.gz *
	sync

%.8: %
	@echo .TH $* 8 `date --iso-8601` THC "IPv6 ATTACK TOOLKIT" > $@
	@echo .SH NAME >> $@
	@echo .B $* >> $@
	@./$*|tail -n +2|sed -e "s#\\./$*#$*#g" -e "s/^Syntax: \?/.SH SYNOPSIS\n/g" -e "s/Options:/.SH OPTIONS\n.nf\n/g" -e "s/^\(.*\):\$$/.SH \1\n/g" >> $@
	@echo .SH AUTHOR >> $@
	@echo "thc-ipv6 was written by van Hauser <vh@thc.org> / THC" >> $@
	@echo >> $@
	@echo  The homepage for this toolkit is: http://www.thc.org/thc-ipv6 >> $@
	@echo >> $@
	@echo .SH COPYRIGHT >> $@
	@./$* |head -n1|sed -e "s#^\./##g" >> $@

.PHONY: all install clean man

=== debian/changelog ===
thc-ipv6 (3.2+dfsg1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:48 +0000

thc-ipv6 (3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2
  * Bump Standards-Version to 4.1.1
  * d/README.source: explain this dfsg release, next ones won't need repack
  * d/control: Add missing Build-dep on libnetfilter-queue-dev
  * d/copyright: update debian/*
  * d/patches:
    - remove patches applied upstream
    - typos: new patch to fix typos
    - makefile: update to reflect new release
    - ssl1.patch: new patch from upstream to add sslv1.1 support
  * d/thc-ipv6.links: create manpage links to new binaries
  * d/watch:
    - Bump to v4
    - Add dversionmangle for dfsg
    - Point to GitHub

 -- Samuel Henrique <samueloph@gmail.com>  Thu, 12 Oct 2017 15:39:36 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: thc-ipv6
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Maykel Moya <mmoya@mmoya.org>,
            Arturo Borrero Gonzalez <arturo@debian.org>,
            Samuel Henrique <samueloph@gmail.com>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
+               libnetfilter-queue-dev,
                libpcap-dev,
                libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/thc-ipv6.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/thc-ipv6.git

## thc-ipv6 3.4

=== Makefile ===
# Comment out if openssl-dev is not present
HAVE_SSL=yes

CC=gcc
#CFLAGS=-g
CFLAGS=-Ofast -falign-functions -falign-jumps -falign-loops -falign-labels -freorder-blocks -freorder-blocks-and-partition
CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
STATIC=
#-static
PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6 toobigsniff6 flood_unreach6
EXTRA=dnssecwalk dnsdict6 thcping6 fragrouter6 connsplit6
LIBS=thc-ipv6-lib.o
STRIP=strip

PREFIX=/usr/local
MANPREFIX=${PREFIX}/share/man
MANPAGES=$(foreach p, $(PROGRAMS) $(EXTRA), $(p).8)

all:	$(LIBS) $(PROGRAMS) $(EXTRA) $(MANPAGES)

dnssecwalk:	dnssecwalk.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS)

dnsdict6:	dnsdict6.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lpthread -lresolv

thcping6:	thcping6.c $(LIBS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lrt

fragrouter6:	fragrouter6.c $(LIBS)
	-$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of fragrouter6 failed, you have to install libnetfilter-queue-dev for this!\n"

connsplit6:	connsplit6.c $(LIBS)
	-$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ $(LDFLAGS) -lnetfilter_queue || /bin/echo -e "\nCompilation of connsplit6 failed, you have to install libnetfilter-queue-dev for this!\n"

%:	%.c $(LIBS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS)

strip:	all
	-$(STRIP) $(PROGRAMS) $(EXTRA)

install: all strip
	install -m0755 -d ${DESTDIR}${PREFIX}/bin
	-install -m0755 $(PROGRAMS) $(EXTRA) grep6.pl *.sh ${DESTDIR}${PREFIX}/bin
	install -m0755 -d ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D thc-ipv6.8 ${DESTDIR}${MANPREFIX}/man8
	install -m0644 -D $(MANPAGES) ${DESTDIR}${MANPREFIX}/man8

clean:
	rm -f $(PROGRAMS) $(EXTRA) $(LIBS) core DEADJOE *~
	rm -f $(MANPAGES)

backup:	clean
	tar czvf ../thc-ipv6-bak.tar.gz *
	sync

%.8: %
	@echo .TH $* 8 `date --iso-8601` THC "IPv6 ATTACK TOOLKIT" > $@
	@echo .SH NAME >> $@
	@echo .B $* >> $@
	@./$*|tail -n +2|sed -e "s#\\./$*#$*#g" -e "s/^Syntax: \?/.SH SYNOPSIS\n/g" -e "s/Options:/.SH OPTIONS\n.nf\n/g" -e "s/^\(.*\):\$$/.SH \1\n/g" >> $@
	@echo .SH AUTHOR >> $@
	@echo "thc-ipv6 was written by van Hauser <vh@thc.org> / THC" >> $@
	@echo >> $@
	@echo  The homepage for this toolkit is: http://www.thc.org/thc-ipv6 >> $@
	@echo >> $@
	@echo .SH COPYRIGHT >> $@
	@./$* |head -n1|sed -e "s#^\./##g" >> $@

.PHONY: all install clean man

=== debian/changelog ===
thc-ipv6 (3.4-1) unstable; urgency=medium

  * New upstream version 3.4
  * Bump DH to 11
  * Bump Standards-Version to 4.1.3
  * d/patches:
    - makefile.patch: Update patch
    - ssl1.patch: remove, present on upstream
    - typos.patch: remove, applied upstream
  * d/thc-ipv6.links: link manpage to atk6-flood_unreach6
  * wrap-and-sort -a

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 18 Mar 2018 23:08:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: thc-ipv6
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Maykel Moya <mmoya@mmoya.org>,
            Arturo Borrero Gonzalez <arturo@debian.org>,
            Samuel Henrique <samueloph@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libnetfilter-queue-dev,
                libpcap-dev,
                libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/thc-ipv6.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/thc-ipv6.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/pkg-security-team/thc-ipv6.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/thc-ipv6
 
 Package: thc-ipv6
 Architecture: linux-any

## thc-ipv6 3.6

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
 STATIC=
 #-static
-PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6 toobigsniff6 flood_unreach6
+PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6 toobigsniff6 flood_unreach6 connect6
 EXTRA=dnssecwalk dnsdict6 thcping6 fragrouter6 connsplit6
 LIBS=thc-ipv6-lib.o
 STRIP=strip
@@ -63,7 +63,7 @@
 	@echo .SH AUTHOR >> $@
 	@echo "thc-ipv6 was written by van Hauser <vh@thc.org> / THC" >> $@
 	@echo >> $@
-	@echo  The homepage for this toolkit is: http://www.thc.org/thc-ipv6 >> $@
+	@echo  The homepage for this toolkit is: https://github.com/vanhauser-thc/thc-ipv6 >> $@
 	@echo >> $@
 	@echo .SH COPYRIGHT >> $@
 	@./$* |head -n1|sed -e "s#^\./##g" >> $@

=== debian/changelog ===
thc-ipv6 (3.6-1) unstable; urgency=medium

  * New upstream version 3.6
  * Bump Standards-Version to 4.3.0
  * Update my email to @debian.org
  * d/copyright: use https on copyright format url
  * d/thc-ipv6.links: link manpage of atk6-connect6

 -- Samuel Henrique <samueloph@debian.org>  Sat, 05 Jan 2019 11:14:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Maykel Moya <mmoya@mmoya.org>,
            Arturo Borrero Gonzalez <arturo@debian.org>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libnetfilter-queue-dev,
                libpcap-dev,
                libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/pkg-security-team/thc-ipv6.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/thc-ipv6

## thc-ipv6 3.8

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 # Comment out if openssl-dev is not present
+# of if you want to compile statc
 HAVE_SSL=yes
 
-CC=gcc
+# comment in if you want to compile static tools
+#STATIC=-static
+
+#CC=gcc
 #CFLAGS=-g
-CFLAGS=-Ofast -falign-functions -falign-jumps -falign-loops -falign-labels -freorder-blocks -freorder-blocks-and-partition
+CFLAGS+=-g -O3 -march=native -flto -falign-functions -falign-jumps -falign-loops -falign-labels -freorder-blocks
 CFLAGS+=$(if $(HAVE_SSL),-D_HAVE_SSL,)
 LDFLAGS+=-lpcap $(if $(HAVE_SSL),-lssl -lcrypto,)
-STATIC=
-#-static
 PROGRAMS=parasite6 dos-new-ip6 detect-new-ip6 fake_router6 fake_advertise6 fake_solicitate6 fake_mld6 fake_mld26 fake_mldrouter6 flood_mldrouter6 fake_mipv6 redir6 smurf6 alive6 toobig6 rsmurf6 implementation6 implementation6d sendpees6 sendpeesmp6 randicmp6 fuzz_ip6 flood_mld6 flood_mld26 flood_router6 flood_advertise6 flood_solicitate6 trace6 exploit6 denial6 fake_dhcps6 flood_dhcpc6 fake_dns6d fragmentation6 kill_router6 fake_dnsupdate6 ndpexhaust6 detect_sniffer6 dump_router6 fake_router26 flood_router26 passive_discovery6 dnsrevenum6 inverse_lookup6 node_query6 address6 covert_send6 covert_send6d inject_alive6 firewall6 ndpexhaust26 fake_pim6 thcsyn6 redirsniff6 flood_redir6 four2six dump_dhcp6 flood_rs6 fuzz_dhcps6 fuzz_dhcpc6 toobigsniff6 flood_unreach6 connect6
 EXTRA=dnssecwalk dnsdict6 thcping6 fragrouter6 connsplit6
 LIBS=thc-ipv6-lib.o

=== contrib/Makefile ===
PROGRAMS= host_scan spoofer
CC=gcc
#CFLAGS?=-Wall -ggdb
CFLAGS?=-O2
LDFLAGS+=-lpcap -lssl -lcrypto -I..
PREFIX=/usr/local
LIBS=../thc-ipv6-lib.o

all: $(PROGRAMS)

%:	%.c
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LIBS)

clean:
	rm -f $(PROGRAMS) *~ core DEADJOE

strip:	all
	strip $(PROGRAMS)

install:	strip
	install -m0755 -d ${DESTDIR}${PREFIX}/bin
	install -m0755 $(PROGRAMS) ${DESTDIR}${PREFIX}/bin

.PHONY: all install clean

=== debian/changelog ===
thc-ipv6 (3.8-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Team upload.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Peter Wienemann ]
  * Add patch to fix ftbfs issue with gcc-15 (Closes: #1097992)
  * Add copyright and license information for alive6.c, fps.h, dnsdict6.c
    (Closes: #1112674)

 -- Peter Wienemann <wiene@debian.org>  Tue, 16 Sep 2025 20:01:24 +0200

thc-ipv6 (3.8-1) unstable; urgency=medium

  * New upstream version 3.8
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/p/makefile.patch: Update patch
  * d/control: Add Rules-Requires-Root: no

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Dec 2020 16:21:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Maykel Moya <mmoya@mmoya.org>,
            Arturo Borrero Gonzalez <arturo@debian.org>,
            Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libnetfilter-queue-dev,
                libpcap-dev,
                libssl-dev
 Homepage: http://www.thc.org/thc-ipv6/
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pkg-security-team/thc-ipv6.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/thc-ipv6

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/thc-ipv6-$1\.tar\.gz/ \
  https://github.com/vanhauser-thc/thc-ipv6/tags .*/v?(\d\S+)\.tar\.gz
